apiVersion: kafka.strimzi.io/v1beta2
kind: KafkaTopic
metadata:
  labels:
    strimzi.io/cluster: {{ include "kafka-cluster.fullname" . }}
    {{- include "kafka-cluster.labels" . | nindent 4 }}
  name: {{ include "kafka-cluster.fullname" . }}-connect-offsets
  namespace: {{ include "kafka-cluster.namespace" . }}
spec:
  partitions: {{ .Values.connectTopics.partitions }}
  replicas: {{ .Values.connectTopics.replicas }}
  topicName: {{ include "kafka-cluster.fullname" . }}.connect-offsets
  config:
    cleanup.policy: {{ .Values.connectTopics.config.cleanupPolicy }}
    retention.ms: {{ .Values.connectTopics.config.retentionMs }}
    segment.bytes: {{ .Values.connectTopics.config.segmentBytes }}
---
apiVersion: kafka.strimzi.io/v1beta2
kind: KafkaTopic
metadata:
  labels:
    strimzi.io/cluster: {{ include "kafka-cluster.fullname" . }}
    {{- include "kafka-cluster.labels" . | nindent 4 }}
  name: {{ include "kafka-cluster.fullname" . }}-connect-configs
  namespace: {{ include "kafka-cluster.namespace" . }}
spec:
  partitions: {{ .Values.connectTopics.partitions }}
  replicas: {{ .Values.connectTopics.replicas }}
  topicName: {{ include "kafka-cluster.fullname" . }}.connect-configs
  config:
    cleanup.policy: {{ .Values.connectTopics.config.cleanupPolicy }}
    retention.ms: {{ .Values.connectTopics.config.retentionMs }}
    segment.bytes: {{ .Values.connectTopics.config.segmentBytes }}
---
apiVersion: kafka.strimzi.io/v1beta2
kind: KafkaTopic
metadata:
  labels:
    strimzi.io/cluster: {{ include "kafka-cluster.fullname" . }}
    {{- include "kafka-cluster.labels" . | nindent 4 }}
  name: {{ include "kafka-cluster.fullname" . }}-connect-status
  namespace: {{ include "kafka-cluster.namespace" . }}
spec:
  partitions: {{ .Values.connectTopics.partitions }}
  replicas: {{ .Values.connectTopics.replicas }}
  topicName: {{ include "kafka-cluster.fullname" . }}.connect-status
  config:
    cleanup.policy: {{ .Values.connectTopics.config.cleanupPolicy }}
    retention.ms: {{ .Values.connectTopics.config.retentionMs }}
    segment.bytes: {{ .Values.connectTopics.config.segmentBytes }}